Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.eclipse
[Java] Interface EclipseProject

    org.gradle.tooling.model.HierarchicalElement
      org.gradle.tooling.model.eclipse.EclipseProject
          org.gradle.tooling.model.Element
              org.gradle.tooling.model.eclipse.HierarchicalEclipseProject
                  org.gradle.tooling.model.Model
                      org.gradle.tooling.model.HasGradleProject

All Superinterfaces:
  HierarchicalElement, Element, HierarchicalEclipseProject, Model, HasGradleProject

    public interface EclipseProject
    extends HasGradleProject, HierarchicalEclipseProject

The complete model of an Eclipse project.

Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

Method Summary
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`DomainObjectSet` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
`GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
`EclipseProject` | `getParent()` {@inheritDoc}
`File` | `getProjectDirectory()` Returns the project directory for this project.

Methods inherited from interface HierarchicalEclipseProject
getChildren, getLinkedResources, getParent, getProjectDependencies, getProjectDirectory, getSourceDirectories

Methods inherited from interface HasGradleProject
getGradleProject

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getClasspath

    public DomainObjectSet getClasspath()

  Returns the external dependencies which make up the classpath of this project.
  Returns:
    The dependencies. Returns an empty set if the project has no external dependencies.

### getGradleProject

    public GradleProject getGradleProject()

  The gradle project that is associated with this project. Typically, a single eclipse project corresponds to a single gradle project.

  See HasGradleProject

  Returns:
    associated gradle project
  Since:
    1.0-milestone-5

### getParent

    public EclipseProject getParent()

  {@inheritDoc}

### getProjectDirectory

    public File getProjectDirectory()

  Returns the project directory for this project.
  Returns:
    The project directory.

Gradle API 1.1-rc-1